## Function template register_simple_formatter_factory

boost::log::register_simple_formatter_factory — The function registers a simple formatter factory.

## Synopsis

    // In header: <boost/log/utility/setup/formatter_parser.hpp>

    template<typename AttributeValueT, typename CharT>
      void register_simple_formatter_factory(attribute_name const & attr_name);

## Description

The function registers a simple formatter factory. The registered factory will generate formatters that will be equivalent to the `log::expressions::attr` formatter (i.e. that will use the native `operator<<` to format the attribute value). The factory does not use any arguments from the format string, if specified.

Parameters:

`attr_name` | Attribute name

Requires: | `!!attr_name`.